Subject: [Healeys] Carburators on 1960's Era Rally Cars

From: Peter Dzwig via Healeys <[email-masked]>
Date: Mon, 5 Jan 2026 15:46:06 +0000

Harold,

it depends how accurate you want to be. According to Peter Browning's 
"The Works Big Healeys", talking about the rally cars he says:

" The 1960 cars ran with triple 2-in (51mm) SU carburetters on 
individual inlet manifolds...[producing].. 180bhp at 5200 rpm.

The use of triple 45 DCOE Weber carburetters in 1962 improved power 
output to around 200bhp at 5750rpm with a 10:1 compression ratio and a 
high-lift cam"

I would get hold of a copy of Browning's book and go to the back and 
think about how far you want to go!!

Hope that this helps.

Peter

On 04/01/2026 18:33, Harold Manifold wrote:
> Hello,
> 
> I am considering updating the carburetor setup on my MkI BT7 to match 
> the configuration used on the factory rally cars. I have seen photos of 
> the Rudd Speed triple HD6 arrangement and was wondering if this is the 
> setup the rally cars utilized.
> 
> Any information or photos you could provide would be greatly 
> appreciated. My goal is to ensure the setup remains period-correct.
> 
> Thanks,
> Harold
> 
> _______________________________________________
> Support Team.Net http://www.team.net/donate.html
> Suggested annual donation  $12.75
> 
> Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive/healeys
> 
> [email-masked]
> http://autox.team.net/mailman/listinfo/healeys
> 
> Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]
> 

-- 
Dr. Peter Dzwig

_______________________________________________

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive/healeys

[email-masked]
http://autox.team.net/mailman/listinfo/healeys